image: node:15

pages:
  stage: deploy

  cache:
    paths:
    - node_modules/

  script:
  - npm install
  - npm run build
  - mv build public
  # compress files in the public/ directory to speedup loading
  - find public -type f -regex '.*\.\(htm\|html\|txt\|text\|js\|css\)$' -exec gzip -f -k {} \;
  # generate jsdocs
  - cd scripts
  - sh build_jsdocs.sh
  - mv ../jsdoc ../public/jsdoc

  artifacts:
    paths:
    - public

  only:
  - main
